> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musicgpt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# FAQs

<AccordionGroup>
  <Accordion title="What are the prompt guidelines for AI Music Generation?">
    <p>To get the best results, follow these rules:</p>

    <ul>
      <li>Keep prompts descriptive and simple</li>
      <li><strong>Prompt limit:</strong> 300 characters</li>
      <li><strong>Lyrics limit:</strong> 3000 characters</li>
    </ul>

    <p>You can describe song sections like this:</p>

    <pre>
      \[Intro – soft piano and light synths]
      \[Chorus – repeat with more intensity]
      \[Bridge – add soft strings or a subtle beat drop]
    </pre>

    <p><strong>Note:</strong> Do not include any artist names.</p>
  </Accordion>

  <Accordion title="How do I cancel a subscription?">
    <ol>
      <li>Go to the API Dashboard</li>
      <li>Open Plans</li>
      <li>Click on Free</li>
    </ol>

    <p>Your plan will be downgraded immediately.</p>
  </Accordion>

  <Accordion title="How do I get a Voice ID?">
    <p>Use the following endpoints:</p>

    <ul>
      <li><code>[GET /endpoint/searchVoices](/api-documentation/endpoint/searchVoices)</code></li>
      <li><code>[GET /endpoint/getAllVoices](/api-documentation/endpoint/getAllVoices)</code></li>
    </ul>

    <p>The response includes the required <code>voice\_id</code>.</p>
  </Accordion>

  <Accordion title="How does the credit system work?">
    <p>Plans do not include credits.</p>
    <p>However, the cost per API call is much lower in higher-tier plans.</p>

    <p><strong>Example (Music AI):</strong></p>

    <ul>
      <li><span>Pro Plan: \$0.03 per song</span></li>
      <li><span>Plus Plan: \$0.05 per song</span></li>
      <li><span>Free Plan: \$0.495 per song</span></li>
    </ul>

    <p>If you are on the Pro plan, you first pay a \$69 base charge and top up credits. Credits are then deducted at \$0.03 per song, whereas on the Free plan, each song deducts \$0.485 </p>
  </Accordion>

  <Accordion title="Is Voice Cloning Possible?">
    <p>
      Voice cloning is not currently available via the API. Please try the Voice Cloning feature on our next platform,
      [Lalals](https://lalals.com/voice-cloning).
    </p>

    <p>
      Once you’ve created your custom voice, you can find your <strong>Voice ID</strong> at the end of url.
      This Voice ID is private to your account and can be used in the <code>voice\_id</code> parameter in API.
    </p>

    <p>
      We are actively working on bringing voice cloning directly into the API soon.
    </p>
  </Accordion>

  <Accordion title="How can I contact support?">
    <p>
      If you need help, please email us at <strong>[api@musicgpt.com](mailto:api@musicgpt.com)</strong> with a detailed description of your issue.
      If applicable, include relevant information such as your <code>task\_id</code>, API request, or any error messages to help us investigate more quickly.
    </p>

    <p>
      Our team typically responds within <strong>24 hours</strong>, and often much sooner. We're committed to providing fast, reliable, and high-quality support to help you get back on track.
    </p>
  </Accordion>
</AccordionGroup>
